## haskell-hxt 8.5.2

=== examples/arrows/hparser/Makefile ===
# $Id: Makefile,v 1.9 2006/11/11 15:36:03 hxml Exp $

HXT_HOME	= ../../..
PKGFLAGS	= 
GHCFLAGS	= -Wall -O2
GHC		= ghc $(GHCFLAGS) $(PKGFLAGS)

DIST		= $(HXT_HOME)/dist/examples/arrows
DIST_DIR	= $(DIST)/hparser

prog		= ./HXmlParser

all		: $(prog)

prof		:
		ghc --make -o $(prog) -Wall -prof -auto-all -O -fglasgow-exts -ignore-package hxt -ignore-package HTTP -i../../../src $(prog).hs

local		:
		ghc --make -o $(prog) $(GHCFLAGS) -fglasgow-exts -ignore-package hxt -i../../../src $(prog).hs

$(prog)		: HXmlParser.hs
		$(GHC) --make -o $@ $<

force		:
		$(GHC) --make -o $(prog) $(prog).hs

test		: $(prog)
		@echo "===> run a few simple test cases with the validating parser"
		@echo "===> first see all command line options"
		$(prog) --help
		@echo
		$(MAKE) test0 test1 test2 test3 test4 test5

EX1		= ./example1.xml
EXi		= ./invalid.xml
EX2		= ../../xhtml/xhtml.xml
EX3		= ./namespace0.xml
EX3a		= ./namespace1.xml
EX4		= ./lousy.html
EX4a		= ./emptyElements.html

EX		= $(wildcard example*.xml) $(wildcard lousy*.html) $(wildcard empty*.html) $(wildcard *valid*.xml *valid*.rng) $(wildcard namespace*.xml)

test0		:
		@echo "===> a 1. simple valid document"
		$(prog) $(EX1)
		@echo
		@echo "===> the dom tree of the same document (without any redundant whitespace)"
		$(prog) --show-tree --remove-whitespace $(EX1)
		@echo
		@echo "===> the next test case contains validation erors, it must fail"
		$(prog) --verbose $(EXi) || true
		@echo
		@echo "===> same source, but only wellformed check"
		$(prog) --do-not-validate $(EXi) || true
		@echo
		@echo "===> only validation, no output of an XHTML source"
		$(prog) --verbose --no-output $(EX2)
		@echo

test1		:
		@echo "===> the source of a very simple valid document" ; echo ; sleep 2
		cat $(EX1)
		@sleep 2 ; echo ; echo "===> parser will emit UTF-8" ; echo ; sleep 2
		$(prog) --output-encoding=UTF-8 $(EX1)
		@echo
		@sleep 2 ; echo ; echo "===> once again with ISO-8859-1 (latin1) output" ; echo ; sleep 2
		$(prog) --output-encoding=ISO-8859-1 $(EX1)
		@echo
		@sleep 2 ; echo ; echo "===> once again with US-ASCII output" ; echo ; sleep 2
		$(prog) --output-encoding=US-ASCII $(EX1)
		@echo
		@sleep 2 ; echo ; echo "===> once again with hdom tree output" ; echo ; sleep 2
		$(prog) --show-tree --output-encoding=ISO-8859-1 $(EX1)
		@echo
		@sleep 2 ; echo ; echo "===> once again, but without any markup" ; echo ; sleep 2
		$(prog) --show-text --output-encoding=ISO-8859-1 $(EX1)
		@echo

test2		:
		@echo "===> the source of a xhtml document" ; echo ; sleep 2
		cat $(EX2)
		@echo "that document has" `cat $(EX2) | wc -l` "lines"
		@sleep 2 ; echo ; echo "===> parser will validate this document and try to indent the output" ; echo ; sleep 2
		$(prog) --indent $(EX2)
		@sleep 2 ; echo ; echo "===> once again, but remove all markup" ; echo ; sleep 2
		$(prog) --show-text --remove-whitespace $(EX2)
		@sleep 2 ; echo ; echo "===> once again with hdom tree output" ; echo ; sleep 2
		$(prog) --show-tree --remove-whitespace $(EX2)

test3		:
		@echo "===> namespace processing examples" ; echo ; sleep 2
		@echo "===> namespace propagation test" ; echo ; sleep 2
		$(prog) --verbose --check-namespaces  --indent --output-encoding=ISO-8859-1 $(EX3)
		@echo
		@echo ; sleep 2 ; echo "===> namespace propagation test: tree output with attached namespaces" ; echo ; sleep 2
		$(prog) --verbose --check-namespaces  --remove-whitespace --show-tree --output-encoding=ISO-8859-1 $(EX3)
		@echo
		@echo ; sleep 2 ; echo "===> namespace validation test: this test produces namespace errors" ; echo ; sleep 2
		$(prog) --verbose --do-not-validate --check-namespaces --indent --output-encoding=ISO-8859-1 $(EX3a) || true
		@echo


test4		:
		@echo "===> HTML parsing examples" ; echo ; sleep 2
		@echo "===> the source of a lousy html document" ; echo ; sleep 2
		cat $(EX4)
		@sleep 2 ; echo ; echo "===> parser accepts this document and tries to build a document tree" ; echo ; sleep 2
		$(prog) --indent --preserve-comment --parse-html $(EX4)
		@sleep 2 ; echo ; echo "===> same with lazy parser with tagsoup" ; echo ; sleep 2
		$(prog) -H -T -r --indent $(EX4)
		@echo
		@echo "===> the source of another lousy html document containing empty elements" ; echo ; sleep 2
		cat $(EX4a)
		@sleep 2 ; echo ; echo "===> parser accepts this document and tries to format this as a HTML document without any dangarous empty elements" ; echo ; sleep 2
		$(prog) --indent --preserve-comment --parse-html --output-html --no-empty-elements $(EX4a)
		@echo


test5		:
		@echo "===> Validate a valid xml file with respect to a valid Relax NG schema" ; echo ; sleep 1
		@echo "the XML document ./valid1.xml"
		@cat ./valid1.xml
		@echo "the Relax NG schema ./valid1.rng"
		@cat  ./valid1.rng
		@echo
		$(prog) --relax-schema ./valid1.rng ./valid1.xml
		@echo
		@echo "===> Validate an  invalid xml file with respect to a valid Relax NG schema" ; echo ; sleep 1
		@echo "the invalid XML document ./invalid1.xml"
		@cat ./valid1.xml
		$(prog) --relax-schema ./valid1.rng ./invalid1.xml || true
		@echo
		@echo "===> Incorrect Relax NG schema" ; echo ; sleep 1
		$(prog) --relax-schema ./invalid2.rng ./valid1.xml || true
		@echo
		@echo "===> Incorrect Relax NG schema with two errors" ; echo ; sleep 1
		$(prog) --relax-schema ./invalid3.rng ./valid1.xml || true
		@echo

test6		:
		@echo "===> tagsoup parsing examples" ; echo ; sleep 2
		@echo "===> www.w3c.org homepage (valid XHTML)" ; echo ; sleep 2
		$(prog) --tagsoup http://www.w3c.org/
		@echo "===> same again with removed whitespace and tree output" ; echo ; sleep 2
		$(prog) --tagsoup --remove-whitespace --show-tree http://www.w3c.org/
		@echo "===> same procedure with www.haskell.org homepage (rather valid HTML)" ; echo ; sleep 2
		$(prog) --tagsoup --parse-html http://www.haskell.org/
		@echo "===> same again with removed whitespace and tree output" ; echo ; sleep 2
		$(prog) --tagsoup --parse-html --remove-whitespace --show-tree http://www.haskell.org/
		@echo

dist		:
		[ -d $(DIST_DIR) ] || mkdir -p $(DIST_DIR)
		cp $(EX) Makefile $(prog).hs $(DIST_DIR)

clean		:
		rm -f $(prog) *.o *.hi

.PHONY		: all test test0 test1 test2 test3 test4 test5 test6 dist clean prof local force

=== debian/changelog ===
haskell-hxt (8.5.2-1.1) unstable; urgency=low

  * Patch tagsoup-0.10-compat.patch (Closes: #587541)
    Patch taken from
    http://www.freebsd.org/cgi/cvsweb.cgi/ports/textproc/hs-hxt/files/
  * Add VCS-Fields
  * Add example to libghc6-hxt-doc
  * Switch to 3.0 (quilt) source format
  * Run ghc6 without active timer (+RTS -V0 -RTS). Should work around
    http://hackage.haskell.org/trac/ghc/ticket/4074 on slow arches.
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sat, 10 Jul 2010 20:00:07 +0200

haskell-hxt (8.5.2-1) unstable; urgency=low

  * New Upstream version 8.5.2
  * debian/control:
    * Build-Depends: change to libcurl4-gnutls-dev from libcurl4-openssl-dev.
      (Closes: #574534, #574807)
    * Build-Depends: Add cabal-install.
  * debian/control: Maitainer is changed to Debia Haskell Group.
  * debian/control: add my name to Uploaders:. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 21 Mar 2010 20:40:39 +0900

haskell-hxt (8.5.1-1) unstable; urgency=low

  * Initial release (Closes: #511325)

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 15 Mar 2010 22:00:04 +0900

=== debian/control ===
Source: haskell-hxt
Section: haskell
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org> 
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends:
	cdbs,
	debhelper (>= 7),
	haskell-devscripts(>= 0.7),
	libcurl4-gnutls-dev | libcurl-dev,
	ghc6,
	ghc6-prof,
	ghc6-doc,
	libghc6-curl-dev,
	libghc6-curl-prof,
	libghc6-curl-doc,
	libghc6-tagsoup-dev(>=0.8),
	libghc6-tagsoup-prof,
	libghc6-tagsoup-doc,
	libghc6-parallel-dev,
	libghc6-parallel-prof,
	libghc6-parallel-doc,
	libghc6-hunit-dev,
	libghc6-hunit-prof,
	libghc6-hunit-doc,
	libghc6-deepseq-dev,
	libghc6-deepseq-prof,
	libghc6-deepseq-doc,
Standards-Version: 3.9.0
Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hxt
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hxt

Package: libghc6-hxt-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: an xml toolkit for Haskell (library)
 The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
 introduces a more general and flexible approach for processing XML
 with Haskell. The Haskell XML Toolbox uses a generic data model for
 representing XML documents, including the DTD subset and the document
 subset, in Haskell. This data model makes it possible to use filter
 functions as a uniform design of XML processing applications. The
 processing filters are implemented as arrows. This is more flexible
 than the filter approach from HXML and HaXml, but all filter
 applications can easily be transformed into arrows.
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc6-hxt-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: an xml toolkit for Haskel (profiling library)l
 The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
 introduces a more general and flexible approach for processing XML
 with Haskell. The Haskell XML Toolbox uses a generic data model for
 representing XML documents, including the DTD subset and the document
 subset, in Haskell. This data model makes it possible to use filter
 functions as a uniform design of XML processing applications. The
 processing filters are implemented as arrows. This is more flexible
 than the filter approach from HXML and HaXml, but all filter
 applications can easily be transformed into arrows.
 .
 This package contains the profiling libraries compiled for GHC 6.

Package: libghc6-hxt-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: an xml toolkit for Haskell (documentation)
 The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
 introduces a more general and flexible approach for processing XML
 with Haskell. The Haskell XML Toolbox uses a generic data model for
 representing XML documents, including the DTD subset and the document
 subset, in Haskell. This data model makes it possible to use filter
 functions as a uniform design of XML processing applications. The
 processing filters are implemented as arrows. This is more flexible
 than the filter approach from HXML and HaXml, but all filter
 applications can easily be transformed into arrows.
 .
 This package contains the library documentation.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE=1

DEB_CABAL_PACKAGE = hxt
DEB_SETUP_GHC6_CONFIGURE_ARGS = --ghc-options="+RTS -V0 -RTS"

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

## haskell-hxt 9.0.0

=== examples/arrows/performance/Makefile ===
# $Id: Makefile,v 1.9 2006/11/11 15:36:03 hxml Exp $

HXT_HOME	= ../../..
PKGFLAGS	= 
GHCFLAGS	= -Wall -O2
GHC		= ghc $(GHCFLAGS) $(PKGFLAGS)

DIST		= $(HXT_HOME)/dist/examples/arrows
DIST_DIR	= $(DIST)/performance

CNT		= 3

ropts		= +RTS -s -RTS 

prog		= ./GenDoc
prog2		= ./ReadDoc
prog3		= ./PruneRight
prog4		= ./PruneLeft
prog5		= ./MemTest
progs		= $(prog) $(prog2) $(prog3) $(prog4) $(prog5)

all		: $(progs)

$(prog)		: $(prog).hs
		$(GHC) --make -o $@ $<

local		:
		$(GHC) --make -o $(prog) -fglasgow-exts -ignore-package hxt -i../../../src $(prog).hs

$(prog2)	: $(prog)
		ln -f $(prog) $(prog2)

$(prog3)	: $(prog)
		ln -f $(prog) $(prog3)

$(prog4)	: $(prog)
		ln -f $(prog) $(prog4)

$(prog5)	: $(prog)
		ln -f $(prog) $(prog5)

# generate and read documents containing a binary tree
# with 2^i leaf nodes containing the numbers 1 to 2^i
# for i up to at least 22 (8M XML elements) output works fine
# for i up to 19 (1M XML elements) input works without swapping
# with i=20 swapping starts, but the program it still terminates
# the size of the XML file for i=20 is about 36Mb
# these tests have run on a box with 1Gb memory

tests		= 2 3 10 11 12

test		: $(prog)
		$(MAKE) genfiles   tests="$(tests)"
		$(MAKE) readfiles  tests="$(tests)"
		$(MAKE) pruneright tests="$(tests)"
		$(MAKE) pruneleft  tests="$(tests)"

perftest	: $(prog)
		$(MAKE) test tests="2 3 10 11 12 13 14 15 16 17 18 19 20"

genfiles	:
		@for i in $(tests) ; \
		do \
		echo time $(prog) $(ropts) $$i ; \
		time $(prog) $$i ; \
		ls -l tree-*$$i.xml ; \
		echo ; \
		done

readfiles	:
		@for i in $(tests) ; \
		do \
		echo time $(prog2) $(ropts) $$i ; \
		time $(prog2) $$i ; \
		echo ; \
		done

pruneright	:
		@for i in $(tests) ; \
		do \
		echo time $(prog3) $(ropts) $$i ; \
		time $(prog3) $$i ; \
		echo ; \
		done

pruneleft	:
		@for i in $(tests) ; \
		do \
		echo time $(prog4) $(ropts) $$i ; \
		time $(prog4) $$i ; \
		echo ; \
		done

memtest	:
		@for i in $(tests) ; \
		do \
		echo time $(prog5) $$i ; \
		time $(prog5) $(ropts) $$i ; \
		echo ; \
		done

dist		:
		[ -d $(DIST_DIR) ] || mkdir -p $(DIST_DIR)
		cp Makefile GenDoc.hs $(DIST_DIR)

clean		:
		rm -f $(progs) *.o *.hi *.xml

=== debian/changelog ===
haskell-hxt (9.0.0-1) unstable; urgency=low

  * New Upstream version 9.0.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 28 Oct 2010 15:00:28 +0900

haskell-hxt (8.5.4-1) unstable; urgency=low

  * New Upstream.
  * deleate 'debian/libghc6-hxt-doc.examples'.
  * debian/control:
    * change Priority to extra 
    * Updated to Standards-Version 3.9.1 (no changes needed)
  * debian/patcheds: removed. It is not required any more.

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 25 Aug 2010 13:58:42 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: haskell-hxt
 Section: haskell
-Priority: optional
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org> 
-Uploaders: TANIGUCHI Takaki <takaki@debian.org>
+Priority: extra
+Maintainer: TANIGUCHI Takaki <takaki@debian.org>
+Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org> 
 Build-Depends:
 	cdbs,
 	debhelper (>= 7),
@@ -26,7 +26,19 @@
 	libghc6-deepseq-dev,
 	libghc6-deepseq-prof,
 	libghc6-deepseq-doc,
-Standards-Version: 3.9.0
+	libghc6-binary-dev,
+	libghc6-binary-prof,
+	libghc6-binary-doc,
+	libghc6-hxt-charproperties-dev,
+	libghc6-hxt-charproperties-prof,
+	libghc6-hxt-charproperties-doc,
+	libghc6-hxt-regex-xmlschema-dev,
+	libghc6-hxt-regex-xmlschema-prof,
+	libghc6-hxt-regex-xmlschema-doc,
+	libghc6-hxt-unicode-dev,
+	libghc6-hxt-unicode-prof,
+	libghc6-hxt-unicode-doc,
+Standards-Version: 3.9.1
 Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hxt
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hxt
@@ -56,7 +68,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: an xml toolkit for Haskel (profiling library)l
+Description: an xml toolkit for Haskel (profiling library)
  The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
  introduces a more general and flexible approach for processing XML
  with Haskell. The Haskell XML Toolbox uses a generic data model for

## haskell-hxt 9.0.1

=== debian/changelog ===
haskell-hxt (9.0.1-1build1) natty; urgency=low

  * Rebuild against new library ABIs

 -- Iain Lane <laney@ubuntu.com>  Thu, 17 Feb 2011 13:46:33 +0000

haskell-hxt (9.0.1-1) unstable; urgency=low

  * New upstream.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 09 Dec 2010 08:47:25 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: haskell-hxt
 Section: haskell
 Priority: extra
-Maintainer: TANIGUCHI Takaki <takaki@debian.org>
-Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org> 
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org> 
+Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends:
 	cdbs,
 	debhelper (>= 7),

## haskell-hxt 9.1.1

=== examples/arrows/pickle/Makefile ===
# $Id: Makefile,v 1.3 2005/04/14 12:52:50 hxml Exp $
#
# hello world application of Haskell XML Toolbox

HXT_HOME	= ../../..
PKGFLAGS	= 
GHCFLAGS	= -Wall -O2
GHC		= ghc $(GHCFLAGS) $(PKGFLAGS)

DIST		= $(HXT_HOME)/dist/examples/arrows
DIST_DIR	= $(DIST)/pickle

PROG		= ./pickleTest

all		: $(PROG)

force		:
		$(MAKE) distclean all

test		:
		./pickleTest
		@sleep 1
		@echo "the program p2 as XML document"
		@sleep 3
		cat pickle.xml

dist		:
		[ -d $(DIST_DIR) ] || mkdir -p $(DIST_DIR)
		cp PickleTest.hs Makefile $(DIST_DIR)

clean		:
		rm -f *.o *.hi pickle.xml $(PROG)

distclean	:
		$(MAKE) clean

.PHONY		: all test dist clean distclean force

pickleTest	: PickleTest.hs
		$(GHC) --make -o $@ $<

=== debian/changelog ===
haskell-hxt (9.1.1-1build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Tue, 07 Jun 2011 09:19:01 +0100

haskell-hxt (9.1.1-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ TANIGUCHI Takaki ]
  * Nes upstream.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 14 Apr 2011 10:53:40 +0900

=== debian/control ===
Source: haskell-hxt
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org> 
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends:
	cdbs,
	debhelper (>= 7),
	haskell-devscripts(>= 0.7),
	libcurl4-gnutls-dev | libcurl-dev,
	ghc,
	ghc-prof,
	ghc-doc,
	libghc-curl-dev,
	libghc-curl-prof,
	libghc-curl-doc,
	libghc-tagsoup-dev(>=0.8),
	libghc-tagsoup-prof,
	libghc-tagsoup-doc,
	libghc-parallel-dev,
	libghc-parallel-prof,
	libghc-parallel-doc,
	libghc-hunit-dev,
	libghc-hunit-prof,
	libghc-hunit-doc,
	libghc-deepseq-dev,
	libghc-deepseq-prof,
	libghc-deepseq-doc,
	libghc-binary-dev,
	libghc-binary-prof,
	libghc-binary-doc,
	libghc-hxt-charproperties-dev,
	libghc-hxt-charproperties-prof,
	libghc-hxt-charproperties-doc,
	libghc-hxt-regex-xmlschema-dev,
	libghc-hxt-regex-xmlschema-prof,
	libghc-hxt-regex-xmlschema-doc,
	libghc-hxt-unicode-dev,
	libghc-hxt-unicode-prof,
	libghc-hxt-unicode-doc,
Standards-Version: 3.9.1
Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hxt
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hxt

Package: libghc-hxt-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: xml toolkit for Haskell (library)
 The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
 introduces a more general and flexible approach for processing XML
 with Haskell. The Haskell XML Toolbox uses a generic data model for
 representing XML documents, including the DTD subset and the document
 subset, in Haskell. This data model makes it possible to use filter
 functions as a uniform design of XML processing applications. The
 processing filters are implemented as arrows. This is more flexible
 than the filter approach from HXML and HaXml, but all filter
 applications can easily be transformed into arrows.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-hxt-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: xml toolkit for Haskel (profiling library)
 The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
 introduces a more general and flexible approach for processing XML
 with Haskell. The Haskell XML Toolbox uses a generic data model for
 representing XML documents, including the DTD subset and the document
 subset, in Haskell. This data model makes it possible to use filter
 functions as a uniform design of XML processing applications. The
 processing filters are implemented as arrows. This is more flexible
 than the filter approach from HXML and HaXml, but all filter
 applications can easily be transformed into arrows.
 .
 This package contains the profiling libraries compiled for GHC.

Package: libghc-hxt-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: xml toolkit for Haskell (documentation)
 The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
 introduces a more general and flexible approach for processing XML
 with Haskell. The Haskell XML Toolbox uses a generic data model for
 representing XML documents, including the DTD subset and the document
 subset, in Haskell. This data model makes it possible to use filter
 functions as a uniform design of XML processing applications. The
 processing filters are implemented as arrows. This is more flexible
 than the filter approach from HXML and HaXml, but all filter
 applications can easily be transformed into arrows.
 .
 This package contains the library documentation.

## haskell-hxt 9.1.2

=== debian/changelog ===
haskell-hxt (9.1.2-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.9.2

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 20 Jun 2011 11:31:17 +0900

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	libghc-hxt-unicode-dev,
 	libghc-hxt-unicode-prof,
 	libghc-hxt-unicode-doc,
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hxt
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hxt

## haskell-hxt 9.1.5

=== debian/changelog ===
haskell-hxt (9.1.5-1build1) precise; urgency=low

  * No change rebuild for new libghc-hunit-dev

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 26 Dec 2011 01:04:25 -0600

haskell-hxt (9.1.5-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 15 Nov 2011 11:13:21 +0900

haskell-hxt (9.1.4-2) unstable; urgency=low

  [ Joachim Breitner ]
  * Fix typo in description (Closes: #642226) 

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 27 Sep 2011 10:25:58 +0900

haskell-hxt (9.1.4-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 20 Sep 2011 10:55:03 +0900

=== debian/control ===
--- 
+++ 
@@ -68,7 +68,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: xml toolkit for Haskel (profiling library)
+Description: xml toolkit for Haskell (profiling library)
  The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
  introduces a more general and flexible approach for processing XML
  with Haskell. The Haskell XML Toolbox uses a generic data model for

## haskell-hxt 9.2.2

=== debian/changelog ===
haskell-hxt (9.2.2-2build2) quantal; urgency=low

  * No-change rebuild for GHC 7.4.2-2

 -- Iain Lane <laney@ubuntu.com>  Mon, 13 Aug 2012 09:16:29 +0000

haskell-hxt (9.2.2-2build1) quantal; urgency=low

  * No-change rebuild for new ghc ABI.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 31 Jul 2012 20:18:04 +0200

haskell-hxt (9.2.2-2) unstable; urgency=low

  * debian/copyright: Rewrite in new copyright format. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 05 Mar 2012 20:25:17 +0900

haskell-hxt (9.2.2-1) unstable; urgency=low

  * New upstream release
  * debian/patches/haskell98: Removed.   
  * Update Standards-Version to 3.9.3. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 05 Mar 2012 11:24:03 +0900

haskell-hxt (9.1.5-3) unstable; urgency=low

  * Temporarily remove libghc-binary-* from build dependencies.
    ghc 7.4 at least temporarily provides these, and this avoids FTBFS
    on the autobuilders due to #659081.

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Feb 2012 21:21:56 -0400

haskell-hxt (9.1.5-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package 
  * Remove haskell98 build dependency from cabal file.

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Feb 2012 12:38:31 -0400

=== debian/control ===
--- 
+++ 
@@ -26,9 +26,6 @@
 	libghc-deepseq-dev,
 	libghc-deepseq-prof,
 	libghc-deepseq-doc,
-	libghc-binary-dev,
-	libghc-binary-prof,
-	libghc-binary-doc,
 	libghc-hxt-charproperties-dev,
 	libghc-hxt-charproperties-prof,
 	libghc-hxt-charproperties-doc,
@@ -38,7 +35,7 @@
 	libghc-hxt-unicode-dev,
 	libghc-hxt-unicode-prof,
 	libghc-hxt-unicode-doc,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hxt
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hxt

## haskell-hxt 9.3.1.1

=== examples/arrows/hparser/Makefile ===
--- 
+++ 
@@ -29,9 +29,10 @@
 		@echo "===> first see all command line options"
 		$(prog) --help
 		@echo
-		$(MAKE) test0 test1 test2 test3 test4 test5
+		$(MAKE) test0 test1 test2 test3 test4
 
 EX1		= ./example1.xml
+EX1a		= ./example1CRLF.xml
 EXi		= ./invalid.xml
 EX2		= ../../xhtml/xhtml.xml
 EX3		= ./namespace0.xml
@@ -74,7 +75,10 @@
 		$(prog) --show-tree --output-encoding=ISO-8859-1 $(EX1)
 		@echo
 		@sleep 2 ; echo ; echo "===> once again, but without any markup" ; echo ; sleep 2
-		$(prog) --show-text --output-encoding=ISO-8859-1 $(EX1)
+		$(prog) --action=only-text --output-encoding=ISO-8859-1 $(EX1)
+		@echo
+		@sleep 2 ; echo ; echo "===> same source, but with CRLF, parser will emit UTF-8" ; echo ; sleep 2
+		$(prog) --output-encoding=UTF-8 $(EX1a)
 		@echo
 
 test2		:
@@ -84,14 +88,14 @@
 		@sleep 2 ; echo ; echo "===> parser will validate this document and try to indent the output" ; echo ; sleep 2
 		$(prog) --indent $(EX2)
 		@sleep 2 ; echo ; echo "===> once again, but remove all markup" ; echo ; sleep 2
-		$(prog) --show-text --remove-whitespace $(EX2)
+		$(prog) --action=only-text --remove-whitespace $(EX2)
 		@sleep 2 ; echo ; echo "===> once again with hdom tree output" ; echo ; sleep 2
 		$(prog) --show-tree --remove-whitespace $(EX2)
 
 test3		:
 		@echo "===> namespace processing examples" ; echo ; sleep 2
 		@echo "===> namespace propagation test" ; echo ; sleep 2
-		$(prog) --verbose --check-namespaces  --indent --output-encoding=ISO-8859-1 $(EX3)
+		$(prog) --verbose --check-namespaces  --indent --output-encoding=UTF-8 $(EX3)
 		@echo
 		@echo ; sleep 2 ; echo "===> namespace propagation test: tree output with attached namespaces" ; echo ; sleep 2
 		$(prog) --verbose --check-namespaces  --remove-whitespace --show-tree --output-encoding=ISO-8859-1 $(EX3)
@@ -107,47 +111,10 @@
 		cat $(EX4)
 		@sleep 2 ; echo ; echo "===> parser accepts this document and tries to build a document tree" ; echo ; sleep 2
 		$(prog) --indent --preserve-comment --parse-html $(EX4)
-		@sleep 2 ; echo ; echo "===> same with lazy parser with tagsoup" ; echo ; sleep 2
-		$(prog) -H -T -r --indent $(EX4)
-		@echo
 		@echo "===> the source of another lousy html document containing empty elements" ; echo ; sleep 2
 		cat $(EX4a)
 		@sleep 2 ; echo ; echo "===> parser accepts this document and tries to format this as a HTML document without any dangarous empty elements" ; echo ; sleep 2
-		$(prog) --indent --preserve-comment --parse-html --output-html --no-empty-elements $(EX4a)
-		@echo
-
-
-test5		:
-		@echo "===> Validate a valid xml file with respect to a valid Relax NG schema" ; echo ; sleep 1
-		@echo "the XML document ./valid1.xml"
-		@cat ./valid1.xml
-		@echo "the Relax NG schema ./valid1.rng"
-		@cat  ./valid1.rng
-		@echo
-		$(prog) --relax-schema ./valid1.rng ./valid1.xml
-		@echo
-		@echo "===> Validate an  invalid xml file with respect to a valid Relax NG schema" ; echo ; sleep 1
-		@echo "the invalid XML document ./invalid1.xml"
-		@cat ./valid1.xml
-		$(prog) --relax-schema ./valid1.rng ./invalid1.xml || true
-		@echo
-		@echo "===> Incorrect Relax NG schema" ; echo ; sleep 1
-		$(prog) --relax-schema ./invalid2.rng ./valid1.xml || true
-		@echo
-		@echo "===> Incorrect Relax NG schema with two errors" ; echo ; sleep 1
-		$(prog) --relax-schema ./invalid3.rng ./valid1.xml || true
-		@echo
-
-test6		:
-		@echo "===> tagsoup parsing examples" ; echo ; sleep 2
-		@echo "===> www.w3c.org homepage (valid XHTML)" ; echo ; sleep 2
-		$(prog) --tagsoup http://www.w3c.org/
-		@echo "===> same again with removed whitespace and tree output" ; echo ; sleep 2
-		$(prog) --tagsoup --remove-whitespace --show-tree http://www.w3c.org/
-		@echo "===> same procedure with www.haskell.org homepage (rather valid HTML)" ; echo ; sleep 2
-		$(prog) --tagsoup --parse-html http://www.haskell.org/
-		@echo "===> same again with removed whitespace and tree output" ; echo ; sleep 2
-		$(prog) --tagsoup --parse-html --remove-whitespace --show-tree http://www.haskell.org/
+		$(prog) --indent --preserve-comment --parse-html --output-xhtml $(EX4a)
 		@echo
 
 dist		:
@@ -157,4 +124,4 @@
 clean		:
 		rm -f $(prog) *.o *.hi
 
-.PHONY		: all test test0 test1 test2 test3 test4 test5 test6 dist clean prof local force
+.PHONY		: all test test0 test1 test2 test3 test4 dist clean prof local force

=== debian/changelog ===
haskell-hxt (9.3.1.1-2build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 May 2013 22:45:27 +0100

haskell-hxt (9.3.1.1-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:06 +0200

haskell-hxt (9.3.1.1-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * New upstream release
  * Fix build dependencies, they were completely bogus

 -- Joachim Breitner <nomeata@debian.org>  Fri, 19 Oct 2012 22:58:54 +0200

haskell-hxt (9.2.2-3) experimental; urgency=low

  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,37 +5,40 @@
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends:
 	cdbs,
-	debhelper (>= 7),
-	haskell-devscripts(>= 0.7),
-	libcurl4-gnutls-dev | libcurl-dev,
+	debhelper (>= 9),
+	haskell-devscripts (>= 0.8.15),
 	ghc,
 	ghc-prof,
 	ghc-doc,
-	libghc-curl-dev,
-	libghc-curl-prof,
-	libghc-curl-doc,
-	libghc-tagsoup-dev(>=0.8),
-	libghc-tagsoup-prof,
-	libghc-tagsoup-doc,
-	libghc-parallel-dev,
-	libghc-parallel-prof,
-	libghc-parallel-doc,
-	libghc-hunit-dev,
+	libghc-network-dev (>= 2.4),
+	libghc-network-dev (<< 3),
+	libghc-network-prof,
+	libghc-network-doc,
+	libghc-parsec3-dev (>= 2.1),
+	libghc-parsec3-dev (<< 4),
+	libghc-parsec3-prof,
+	libghc-parsec3-doc,
+	libghc-mtl-dev (>= 2),
+	libghc-mtl-dev (<< 3),
+	libghc-mtl-prof,
+	libghc-mtl-doc,
+	libghc-hunit-dev (>= 1.2),
+	libghc-hunit-dev (<< 2),
 	libghc-hunit-prof,
 	libghc-hunit-doc,
-	libghc-deepseq-dev,
-	libghc-deepseq-prof,
-	libghc-deepseq-doc,
-	libghc-hxt-charproperties-dev,
+	libghc-hxt-charproperties-dev (>= 9.1),
+	libghc-hxt-charproperties-dev (<< 10),
 	libghc-hxt-charproperties-prof,
 	libghc-hxt-charproperties-doc,
-	libghc-hxt-regex-xmlschema-dev,
-	libghc-hxt-regex-xmlschema-prof,
+	libghc-hxt-regex-xmlschema-dev (>= 9),
+	libghc-hxt-regex-xmlschema-dev (<< 10),
+	libghc-hxt-regex-xmlschema-prof ,
 	libghc-hxt-regex-xmlschema-doc,
-	libghc-hxt-unicode-dev,
+	libghc-hxt-unicode-dev (>= 9),
+	libghc-hxt-unicode-dev (<< 10),
 	libghc-hxt-unicode-prof,
 	libghc-hxt-unicode-doc,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hxt
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hxt
@@ -46,7 +49,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: xml toolkit for Haskell (library)
+Description: xml toolkit for Haskell (library)${haskell:ShortBlurb}
  The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
  introduces a more general and flexible approach for processing XML
  with Haskell. The Haskell XML Toolbox uses a generic data model for
@@ -57,7 +60,7 @@
  than the filter approach from HXML and HaXml, but all filter
  applications can easily be transformed into arrows.
  .
- This package contains the libraries compiled for GHC.
+ ${haskell:Blurb}
 
 Package: libghc-hxt-prof
 Architecture: any
@@ -65,7 +68,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: xml toolkit for Haskell (profiling library)
+Description: xml toolkit for Haskell (profiling library)${haskell:ShortBlurb}
  The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
  introduces a more general and flexible approach for processing XML
  with Haskell. The Haskell XML Toolbox uses a generic data model for
@@ -76,7 +79,7 @@
  than the filter approach from HXML and HaXml, but all filter
  applications can easily be transformed into arrows.
  .
- This package contains the profiling libraries compiled for GHC.
+ ${haskell:Blurb}
 
 Package: libghc-hxt-doc
 Section: doc
@@ -85,7 +88,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: xml toolkit for Haskell (documentation)
+Description: xml toolkit for Haskell (documentation)${haskell:ShortBlurb}
  The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
  introduces a more general and flexible approach for processing XML
  with Haskell. The Haskell XML Toolbox uses a generic data model for
@@ -96,5 +99,5 @@
  than the filter approach from HXML and HaXml, but all filter
  applications can easily be transformed into arrows.
  .
- This package contains the library documentation.
+ ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|hxt-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/hxt \
    ([\d\.]*\d)/

## haskell-hxt 9.3.1.4

=== debian/changelog ===
haskell-hxt (9.3.1.4-1build1) utopic; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Aug 2014 12:04:31 +0200

haskell-hxt (9.3.1.4-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 04 Aug 2014 23:17:02 +0200

## haskell-hxt 9.3.1.15

=== examples/arrows/AGentleIntroductionToHXT/PicklerExample/Makefile ===
# $Id: Makefile,v 1.2 2006/11/17 17:16:24 hxml Exp $
#
# hello world application of Haskell XML Toolbox

HXT_HOME	= ../../../..
PKGFLAGS	= 
GHCFLAGS	= -W -O2
GHC		= ghc $(GHCFLAGS) $(PKGFLAGS)

DIST		= $(HXT_HOME)/dist/examples/arrows/AGentleIntroductionToHXT
DIST_DIR	= $(DIST)/PicklerExample

src		= Baseball.hs
prog		= ./Baseball

all		:
		$(MAKE) $(prog)

force		:
		$(MAKE) distclean all

test		: $(prog)
		$(prog)

dist		:
		[ -d $(DIST_DIR) ] || mkdir -p $(DIST_DIR)
		cp $(src) simple2.xml new-simple2.xml Makefile $(DIST_DIR)

clean		:
		rm -f *.o *.hi

distclean	:
		$(MAKE) clean
		rm -f $(prog)

.PHONY		: all test dist clean distclean force

$(prog)		: $(src)
		$(GHC) --make -o $@ $<

=== debian/changelog ===
haskell-hxt (9.3.1.15-4build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jan 2016 21:23:23 +0000

haskell-hxt (9.3.1.15-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:38 -0500

haskell-hxt (9.3.1.15-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:57 +0200

haskell-hxt (9.3.1.15-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:53 +0200

haskell-hxt (9.3.1.15-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Apr 2015 12:59:26 +0200

haskell-hxt (9.3.1.4-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:11:03 +0100

=== debian/control ===
Source: haskell-hxt
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-hunit-dev (>= 1.2),
 libghc-hunit-dev (<< 2),
 libghc-hunit-prof,
 libghc-hxt-charproperties-dev (>= 9.1),
 libghc-hxt-charproperties-dev (<< 10),
 libghc-hxt-charproperties-prof,
 libghc-hxt-regex-xmlschema-dev (>= 9.2),
 libghc-hxt-regex-xmlschema-dev (<< 10),
 libghc-hxt-regex-xmlschema-prof,
 libghc-hxt-unicode-dev (>= 9.0.1),
 libghc-hxt-unicode-dev (<< 10),
 libghc-hxt-unicode-prof,
 libghc-mtl-dev (>= 2.0.1),
 libghc-mtl-dev (<< 3),
 libghc-mtl-prof,
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-prof,
 libghc-parsec3-dev (>= 2.1),
 libghc-parsec3-dev (<< 4),
 libghc-parsec3-prof,
Build-Depends-Indep: ghc-doc,
 libghc-hunit-doc,
 libghc-hxt-charproperties-doc,
 libghc-hxt-regex-xmlschema-doc,
 libghc-hxt-unicode-doc,
 libghc-mtl-doc,
 libghc-network-uri-doc,
 libghc-parsec3-doc,
Standards-Version: 3.9.6
Homepage: https://github.com/UweSchmidt/hxt
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-hxt-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: xml toolkit for Haskell (library)${haskell:ShortBlurb}
 The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
 introduces a more general and flexible approach for processing XML
 with Haskell. The Haskell XML Toolbox uses a generic data model for
 representing XML documents, including the DTD subset and the document
 subset, in Haskell. This data model makes it possible to use filter
 functions as a uniform design of XML processing applications. The
 processing filters are implemented as arrows. This is more flexible
 than the filter approach from HXML and HaXml, but all filter
 applications can easily be transformed into arrows.
 .
 ${haskell:Blurb}

Package: libghc-hxt-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: xml toolkit for Haskell (profiling library)${haskell:ShortBlurb}
 The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
 introduces a more general and flexible approach for processing XML
 with Haskell. The Haskell XML Toolbox uses a generic data model for
 representing XML documents, including the DTD subset and the document
 subset, in Haskell. This data model makes it possible to use filter
 functions as a uniform design of XML processing applications. The
 processing filters are implemented as arrows. This is more flexible
 than the filter approach from HXML and HaXml, but all filter
 applications can easily be transformed into arrows.
 .
 ${haskell:Blurb}

Package: libghc-hxt-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: xml toolkit for Haskell (documentation)${haskell:ShortBlurb}
 The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
 introduces a more general and flexible approach for processing XML
 with Haskell. The Haskell XML Toolbox uses a generic data model for
 representing XML documents, including the DTD subset and the document
 subset, in Haskell. This data model makes it possible to use filter
 functions as a uniform design of XML processing applications. The
 processing filters are implemented as arrows. This is more flexible
 than the filter approach from HXML and HaXml, but all filter
 applications can easily be transformed into arrows.
 .
 ${haskell:Blurb}

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE=1

# DEB_CABAL_PACKAGE = hxt
# DEB_SETUP_GHC6_CONFIGURE_ARGS = --ghc-options="+RTS -V0 -RTS"

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
http://hackage.haskell.org/package/hxt/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-hxt 9.3.1.16

=== examples/arrows/HelloWorld/Makefile ===
# $Id: Makefile,v 1.3 2005/04/14 12:52:50 hxml Exp $
#
# hello world application of Haskell XML Toolbox

HXT_HOME	= ../../..
PKGFLAGS	= 
GHCFLAGS	= -Wall -O2
GHC		= ghc $(GHCFLAGS) $(PKGFLAGS)

DIST		= $(HXT_HOME)/dist/examples/arrows
DIST_DIR	= $(DIST)/HelloWorld

all		: mini hello

force		:
		$(MAKE) distclean all

test		:
		./mini
		./hello

dist		:
		[ -d $(DIST_DIR) ] || mkdir -p $(DIST_DIR)
		cp Mini.hs HelloWorld.hs hello.xml Makefile $(DIST_DIR)

clean		:
		rm -f *.o *.hi

distclean	:
		$(MAKE) clean
		rm -f mini hello

.PHONY		: all test dist clean distclean force

hello		: HelloWorld.hs
		$(GHC) --make -o $@ $<

mini		: Mini.hs
		$(GHC) --make -o $@ $<

=== debian/changelog ===
haskell-hxt (9.3.1.16-2build3) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2017 05:15:42 +0000

haskell-hxt (9.3.1.16-2build2) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Jan 2017 07:18:46 +0100

haskell-hxt (9.3.1.16-2build1) zesty; urgency=medium

  * Rebuild against latest GHC.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 25 Jan 2017 10:37:52 +0530

haskell-hxt (9.3.1.16-2) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:25 -0400

haskell-hxt (9.3.1.16-1) experimental; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 26 Oct 2016 19:01:06 -0400

haskell-hxt (9.3.1.15-5) experimental; urgency=medium

  [ Joachim Breitner ]
  * Fix description redundancies (Closes: #813794)

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 01:26:09 -0400

=== debian/control ===
Source: haskell-hxt
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 TANIGUCHI Takaki <takaki@debian.org>,
Priority: extra
Section: haskell
Build-Depends: haskell-devscripts (>= 0.13),
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 libghc-hxt-charproperties-dev (>= 9.1),
 libghc-hxt-charproperties-prof,
 libghc-hxt-regex-xmlschema-dev (>= 9.2),
 libghc-hxt-regex-xmlschema-prof,
 libghc-hxt-unicode-dev (>= 9.0.1),
 libghc-hxt-unicode-prof,
 libghc-mtl-dev (<< 3),
 libghc-mtl-dev (>= 2.0.1),
 libghc-mtl-prof,
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-prof,
 libghc-parsec3-dev (<< 4),
 libghc-parsec3-dev (>= 2.1),
 libghc-parsec3-prof,
Build-Depends-Indep: ghc-doc,
 libghc-hxt-charproperties-doc,
 libghc-hxt-regex-xmlschema-doc,
 libghc-hxt-unicode-doc,
 libghc-mtl-doc,
 libghc-network-uri-doc,
 libghc-parsec3-doc,
Standards-Version: 3.9.8
Homepage: https://github.com/UweSchmidt/hxt
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hxt
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: collection of tools for processing XML with Haskell
 The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but introduces a
 more general approach for processing XML with Haskell.  The Haskell XML
 Toolbox uses a generic data model for representing XML documents, including
 the DTD subset and the document subset, in Haskell.  It contains a validating
 XML parser, a HTML parser, namespace support, an XPath expression evaluator,
 an XSLT library, a RelaxNG schema validator and funtions for serialization and
 deserialization of user defined data.  The library makes extensive use of the
 arrow approach for processing XML.
 .
 Since version 9 the toolbox is partitioned into various (sub-)packages.  This
 package contains the core functionality, hxt-curl, hxt-tagsoup, hxt-relaxng,
 hxt-xpath, hxt-xslt, hxt-regex-xmlschema contain the extensions.  hxt-unicode
 contains encoding and decoding functions, hxt-charproperties char properties
 for unicode and XML.

Package: libghc-hxt-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hxt-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hxt-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/hxt/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
